﻿--[[
	Project: AutoRole
	Version: 4.0
	Website: http://wow.curseforge.com/addons/auto-role/
	Author: Erfolg

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>. 
]]
AutoRole = LibStub("AceAddon-3.0"):NewAddon("AutoRole", "AceConsole-3.0", "AceEvent-3.0")

AUTOROLE_VERSION = "4.0"

function AutoRole:OnInitialize()
	self:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED", "SetRole")
	self:RegisterEvent("GROUP_ROSTER_UPDATE", "SetRole")
	RolePollPopup:SetScript("OnShow",function() RolePollPopupAcceptButton:Click() end)
end

function AutoRole:OnEnable()
	self:RegisterChatCommand("ar", "Slash")
	self:RegisterChatCommand("autorole", "Slash")
	self:Print(AUTOROLE_VERSION)
end

function AutoRole:OnDisable()
	
end

function AutoRole:SetRole(event)
	local currentSpec = GetSpecialization()
	if (currentSpec == nil) then
		UnitSetRole("player", "NONE")
		self:Print("Role set to NONE because you have no specialization.")
	else
		local currentRole = GetSpecializationRole(currentSpec)
		local currentSpecName = currentSpec and select(2, GetSpecializationInfo(currentSpec))
		UnitSetRole("player", currentRole)
		self:Print("Role set to", currentRole, "because your specialization is", currentSpecName)
	end
end

function AutoRole:Slash(input)
	if input == "version" then
		self:Print(AUTOROLE_VERSION)
	elseif input == "showspec" then
		self:SetRole()
	else
		self:Print("/ar showspec")
		self:Print("/ar version")
	end
end